Package org.apache.cxf.common.util

# Interface ClassUnwrapper

public interface ClassUnwrapper

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>`
  `getRealClass(Object o)`
  Return a real class for the instance, possibly a proxy.
  `Class<?>`
  `getRealClassFromClass(Class<?> clazz)`
  Return a real class for the class, possibly a proxy class.
  `default Object`
  `getRealObject(Object o)`
  Return a real class for the instance, possibly a proxy.

- ## Method Details

  - ### getRealClass

    Class<?> getRealClass(Object o)
    Return a real class for the instance, possibly a proxy.
    Parameters:
      `o` - instance to get real class for
    Returns:
      real class for the instance

  - ### getRealClassFromClass

    Class<?> getRealClassFromClass(Class<?> clazz)
    Return a real class for the class, possibly a proxy class.
    Parameters:
      `clazz` - class to get real class for
    Returns:
      real class for the class

  - ### getRealObject

    default Object getRealObject(Object o)
    Return a real class for the instance, possibly a proxy.
    Parameters:
      `o` - instance to get real class for
    Returns:
      real class for the instance